%global commit ee5ef0f2c3a4743e8501a855d61cb397

Summary:        Wayland client side decoration library
Name:           libdecor
Version:        0.1.1
Release:        2%{?dist}

License:        MIT
URL:            https://gitlab.gnome.org/jadahl/libdecor
Source0:        %{url}/uploads/%{commit}/libdecor-%{version}.tar.xz

BuildRequires:  gcc meson
BuildRequires:  pkgconfig(wayland-client) pkgconfig(dbus-1) pkgconfig(wayland-protocols)
BuildRequires:  pkgconfig(cairo) pkgconfig(pangocairo) pkgconfig(wayland-cursor) pkgconfig(xkbcommon)

%description
libdecor is a library that can help Wayland clients draw window
decorations for them. It aims to provide multiple backends that implements the
decoration drawing.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup


%build
%meson -Ddemo=false
%meson_build


%install
%meson_install


%files
%license LICENSE
%doc README.md
%{_libdir}/libdecor-0.so.0*
%dir %{_libdir}/libdecor/
%dir %{_libdir}/libdecor/plugins-1
%{_libdir}/libdecor/plugins-1/libdecor-cairo.so

%files devel
%{_includedir}/libdecor-0/
%{_libdir}/libdecor-0.so
%{_libdir}/pkgconfig/libdecor-0.pc


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.1-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Jul 12 2023 Shuo Wang <abushwang@tencent.com> - 0.1.1-1
- update to 0.1.1

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.0-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Nov 23 2022 cunshunxia <cunshunxia@tencent.com> - 0.1.0-1
- initial build
